part of '../bmcommons.dart';

push(BuildContext context, Widget destination) {
  return Navigator.of(context).push(
    MaterialPageRoute(builder: (context) => destination),
  );
}

pushReplacement(BuildContext context, Widget destination) {
  return Navigator.of(context).pushReplacement(
    MaterialPageRoute(builder: (context) => destination),
  );
}

pop(BuildContext context) {
  return Navigator.of(context).pop();
}

pushAndRemoveStack(BuildContext context, Widget destination) {
  return Navigator.of(context).pushAndRemoveUntil(
    MaterialPageRoute(builder: (context) => destination),
    (route) => false,
  );
}
